pkgsrc-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[pkgsrc/trunk]: pkgsrc/mk/bulk Catch error from su, and report it to the call...



details:   https://anonhg.NetBSD.org/pkgsrc/rev/1fbf5f31b8e1
branches:  trunk
changeset: 463603:1fbf5f31b8e1
user:      hubertf <hubertf%pkgsrc.org@localhost>
date:      Thu Nov 20 00:02:59 2003 +0000

description:
Catch error from su, and report it to the calling script (pkgsrc/mk/build)

diffstat:

 mk/bulk/pre-build |  8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

diffs (26 lines):

diff -r 64f60ef3da0f -r 1fbf5f31b8e1 mk/bulk/pre-build
--- a/mk/bulk/pre-build Wed Nov 19 23:51:52 2003 +0000
+++ b/mk/bulk/pre-build Thu Nov 20 00:02:59 2003 +0000
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $NetBSD: pre-build,v 1.30 2003/09/16 17:21:36 grant Exp $
+# $NetBSD: pre-build,v 1.31 2003/11/20 00:02:59 hubertf Exp $
 #
 # Clean up system to be ready for bulk pkg build
 #
@@ -149,10 +149,14 @@
        fi
        echo Performing CVS update - this will take some time
        su - ${CVS_USER} -c 'stty sane ; setenv CVS_RSH ssh ; cd '${USR_PKGSRC}' ; cvs -q update -Pd '"${CVS_FLAGS}"
+        if [ $? != 0 ]
+        then
+                echo CVS update not successful, aborting.
+                exit 1
+        fi
        echo CVS update done.
 fi
 
-
 #
 # Remove old/broken distfiles and binary packages
 #



Home | Main Index | Thread Index | Old Index